package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.QuestionInfo;
import com.diagbot.entity.wrapper.QuestionInfoWrapper;
import com.diagbot.mapper.QuestionInfoMapper;
import com.diagbot.service.QuestionInfoService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 标签基础表 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2018-11-15
 */
@Service
public class QuestionInfoServiceImpl extends ServiceImpl<QuestionInfoMapper, QuestionInfo> implements QuestionInfoService {

    @Override
    public QuestionInfo getByParam(Map map) {
        return baseMapper.getByParam(map);
    }

    @Override
    public List<QuestionInfoWrapper> getByQuestionMapping(Map map) {
        return baseMapper.getByQuestionMapping(map);
    }

    @Override
    public List<QuestionInfo> getByQuestionRelation(Map map) {
        return baseMapper.getByQuestionRelation(map);
    }
}
